GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
sockaddr_utils.h File Reference
`#include "src/core/iomgr/sockaddr.h"`

Go to the source code of this file.

## Functions
int | grpc_sockaddr_is_v4mapped (const struct sockaddr *addr, struct sockaddr_in *addr4_out)
int | grpc_sockaddr_to_v4mapped (const struct sockaddr *addr, struct sockaddr_in6 *addr6_out)
int | grpc_sockaddr_is_wildcard (const struct sockaddr *addr, int *port_out)
void | grpc_sockaddr_make_wildcards (int port, struct sockaddr_in *wild4_out, struct sockaddr_in6 *wild6_out)
void | grpc_sockaddr_make_wildcard4 (int port, struct sockaddr_in *wild_out)
void | grpc_sockaddr_make_wildcard6 (int port, struct sockaddr_in6 *wild_out)
int | grpc_sockaddr_get_port (const struct sockaddr *addr)
int | grpc_sockaddr_set_port (const struct sockaddr *addr, int port)
int | grpc_sockaddr_to_string (char **out, const struct sockaddr *addr, int normalize)
char * | grpc_sockaddr_to_uri (const struct sockaddr *addr)

## Function Documentation

int grpc_sockaddr_get_port | ( | const struct sockaddr * | addr | ) |

int grpc_sockaddr_is_v4mapped | ( | const struct sockaddr * | addr,
|  | struct sockaddr_in * | addr4_out
| ) |  |

int grpc_sockaddr_is_wildcard | ( | const struct sockaddr * | addr,
|  | int * | port_out
| ) |  |

void grpc_sockaddr_make_wildcard4 | ( | int | port,
|  | struct sockaddr_in * | wild_out
| ) |  |

void grpc_sockaddr_make_wildcard6 | ( | int | port,
|  | struct sockaddr_in6 * | wild_out
| ) |  |

void grpc_sockaddr_make_wildcards | ( | int | port,
|  | struct sockaddr_in * | wild4_out,
|  | struct sockaddr_in6 * | wild6_out
| ) |  |

int grpc_sockaddr_set_port | ( | const struct sockaddr * | addr,
|  | int | port
| ) |  |

int grpc_sockaddr_to_string | ( | char ** | out,
|  | const struct sockaddr * | addr,
|  | int | normalize
| ) |  |

char* grpc_sockaddr_to_uri | ( | const struct sockaddr * | addr | ) |

int grpc_sockaddr_to_v4mapped | ( | const struct sockaddr * | addr,
|  | struct sockaddr_in6 * | addr6_out
| ) |  |